/*#include <bits/stdc++.h>

using namespace std;

int main()
{
	int n;
	cin >> n;
	int x[n],y[n],z[n];
	for(int i = 0; i < n; i++)
	{
		cin >> x[i];
	}
	for(int i = 0; i < n; i++)
	{
		cin >> y[i];
	}
	for(int i = 0; i < n; i++)
	{
		cin >> z[i];
	}
	int br = 0;
	for(int i = 0; i < n; i++)
	{
		for(int j = 0; j < n; j++)
		{
			if(x[i]==y[z[j]-1])
			{
				br++;
			}
		}
	}
	cout << br;
	return 0;
}*/
#include <bits/stdc++.h>

using namespace std;

int main()
{
	int k;
	cin >> k;
	int z[k]; //Zadate duzine nizova
	int rez[k]; //DA=0, NE=1
	for(int i = 0; i < k; i++)
	{
		rez[i]=0;
	}
	for(int i = 0; i < k; i++)
	{
		cin >> z[i];
		long long poz[z[i]];
		long long neg[z[i]];
		for(int j = 0; j < z[i]; j++)
		{
			cin >> poz[j];
		}
		for(int j = 0; j < z[i]; j++)
		{
			cin >> neg[j];
		}
		for(int j = 0; j < z[i]; j++)
		{
			for(int l = 0; l < z[i]; l++)
			{
				if(-poz[j]==neg[l]&&j%2==l%2)
				{
					rez[i]=1;
				}
				if(poz[j]==neg[l]&&j%2!=l%2)
				{
					rez[i]=1;
				}
			}
		}
	}
	for(int i = 0; i < k; i++)
	{
		if(rez[i]==0)
		{
			cout << "DA" << endl;
		}
		else
		{
			cout << "NE" << endl;
		}
	}
}